import request from '@/utils/request'

// 查询学习中心分类列表
export function listStudyCenterClass(query) {
  return request({
    url: '/hezhi/studyCenterClass/list',
    method: 'get',
    params: query
  })
}

// 查询学习中心分类详细
export function getStudyCenterClass(studyCenterClassId) {
  return request({
    url: '/hezhi/studyCenterClass/' + studyCenterClassId,
    method: 'get'
  })
}

// 新增学习中心分类
export function addStudyCenterClass(data) {
  return request({
    url: '/hezhi/studyCenterClass',
    method: 'post',
    data: data
  })
}

// 修改学习中心分类
export function updateStudyCenterClass(data) {
  return request({
    url: '/hezhi/studyCenterClass',
    method: 'put',
    data: data
  })
}

// 删除学习中心分类
export function delStudyCenterClass(studyCenterClassId) {
  return request({
    url: '/hezhi/studyCenterClass/' + studyCenterClassId,
    method: 'delete'
  })
}

// 学习中心分类列表
export function getAllStudyCenterClassList() {
  return request({
    url: '/hezhi/studyCenterClass/getAllStudyCenterClassList',
    method: 'get',
  })
}
